import Delete from "../../use-cases/post/delete";
import FakeDb from "../../data-storage/fake-db";
import FakePostDb from "../../data-storage/fake-db/post";
import { randomInt } from "crypto";
import { Post } from "../../entities";

describe("Se intentará eliminar un nuevo post", () => {
  test("Eliminar un post", () => {
    const deletePost = new Delete();
    const fakeDb = new FakeDb();
    const fakePostDb = new FakePostDb(fakeDb);
    const post = new Post();
    post.id = randomInt(9999);
    return deletePost.save(post, fakePostDb).then(data => {
      expect(data).toBeTruthy();
    });
  });
});
