import All from "../../use-cases/post/all";
import FakeDb from "../../data-storage/fake-db";
import FakePostDb from "../../data-storage/fake-db/post";

describe("Se intentará obtener todos los posts", () => {
  test("Obtener todos los posts", () => {
    const all = new All();
    const fakeDb = new FakeDb();
    const fakePostDb = new FakePostDb(fakeDb);
    return all.retrieve(fakePostDb).then(data => {
      expect(data).toBeInstanceOf(Array);
    });
  });
});
