import Get from "../../use-cases/post/get";
import FakeDb from "../../data-storage/fake-db";
import FakePostDb from "../../data-storage/fake-db/post";
import { randomInt } from "crypto";

describe("Se intentará obtener un post por su Id", () => {
  test("Obtener un post", () => {
    const get = new Get();
    const fakeDb = new FakeDb();
    const fakePostDb = new FakePostDb(fakeDb);
    return get.byId(randomInt(9999), fakePostDb).then(data => {
      expect(data).toHaveProperty("id");
    });
  });
});
